
Core - Bug # 23559

Status: Closed Priority: Should have
Author: Chris topher Category:
Created: 2010-09-18 Assigned To:
Updated: 2015-06-15 Due date:
TYPO3 Version: 4.5
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Sprite API: Missing icon "Undelete and edit" in DB Check
Description

In the module "DB Check", option Fullsearch you can search the different database records.
When you choose Advanced Search and check "Show even deleted entries" these entries are shown. Only the icon "Undelete and
edit" is missing. You see that in the screenshot, the red question mark.

(issue imported from #M15739)

Related issues:
related to Core - Bug # 22704: Make use of the new Sprite API throughout the ... Resolved 2010-05-24
related to Core - Bug # 24835: Missing and old  Icons in "DB check -> Record ... Closed 2011-01-26

History
#1 - 2010-12-16 22:24 - Ernesto Baschny

Still present in beta2.

#2 - 2011-01-14 12:16 - Patrick Broens

Added a patch.

t3lib_iconWorks::getSpriteIcon was called with the wrong iconname. The icon was already present.

#3 - 2011-01-14 12:32 - Patrick Broens

The icon for 'undelete only' has the name 'actions-edit-restore'.
The icon for 'undelete and edit' now has the name
'actions-edit-undelete-edit' because it was already registered with that
name. It would be nicer to have the name 'actions-edit-restore-edit' so
both use 'restore', but it might be possible extensions are using this
icon as well, and they will break if we change the name of the icon
itself. What do you think?

#4 - 2011-01-14 13:03 - Patrick Broens

Added a second patch which changes the name of the icon itself as mentioned in the notes above. But this change might break extensions which use
this icon.
How to test:
Change the name of the file
typo3/sysext/t3skin/images/icons/actions/edit-undelete-edit.png
to
typo3/sysext/t3skin/images/icons/actions/edit-restore-edit.png
and apply the patch

#5 - 2014-03-10 12:55 - Alexander Opitz
- Status changed from Accepted to Needs Feedback
- Target version deleted (0)
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (6.1.7)?

#6 - 2014-07-01 18:04 - Chris topher

Issue still present in 6.2. Should be easy to fix since the patch is already there...

#7 - 2014-07-10 16:59 - Alexander Opitz

So can you bring the patches into Gerrit please?

#8 - 2015-01-02 23:06 - Alexander Opitz

ping

#9 - 2015-06-15 11:12 - Alexander Opitz
- Status changed from Needs Feedback to Closed
- Assigned To deleted (Patrick Broens)

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.

Files
Missing-icon-for-undelete-and-edit.gif 4.8 kB 2010-09-18 Administrator Admin
20110114_RFC_15739.diff 1.2 kB 2011-01-14 Administrator Admin
20110114_RFC_15739_2.diff 873 Bytes 2011-01-14 Administrator Admin
